package com.zjrs.zwnw.sxgl.po;

import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "fw_right")
public class FwrightPO {
    private String rightid;       //权限表ID
    private String subsystype;       //子系统类别
    private String rightname;       //权限名称
    private String righttype;       //权限树枝干、菜单权限、流程权限
    private String rightlevel;       //树根是1、然后树干、树叶往后排
    private String sortno;       //在同一层级下的排序大小
    private String actionDefId;       //包括流程定义id和环节id，用竖线分隔。
    private String url;       //如果是枝干则为空
    private String aae100;       //停办时为无效
    private String bae003;       //创建时间

    public String getRightid() {
        return rightid;
    }

    public void setRightid(String rightid) {
        this.rightid = rightid;
    }

    public String getSubsystype() {
        return subsystype;
    }

    public void setSubsystype(String subsystype) {
        this.subsystype = subsystype;
    }

    public String getRightname() {
        return rightname;
    }

    public void setRightname(String rightname) {
        this.rightname = rightname;
    }

    public String getRighttype() {
        return righttype;
    }

    public void setRighttype(String righttype) {
        this.righttype = righttype;
    }

    public String getRightlevel() {
        return rightlevel;
    }

    public void setRightlevel(String rightlevel) {
        this.rightlevel = rightlevel;
    }

    public String getSortno() {
        return sortno;
    }

    public void setSortno(String sortno) {
        this.sortno = sortno;
    }

    public String getActionDefId() {
        return actionDefId;
    }

    public void setActionDefId(String actionDefId) {
        this.actionDefId = actionDefId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getAae100() {
        return aae100;
    }

    public void setAae100(String aae100) {
        this.aae100 = aae100;
    }

    public String getBae003() {
        return bae003;
    }

    public void setBae003(String bae003) {
        this.bae003 = bae003;
    }
}
